package com.ruoyi.project.business.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum QuotationMsgEnum {
    REVIEW(1, "quotation.review", MessageTypeEnum.QUOTATION.getValue()),
    REVIEW_PASS(2, "quotation.review.pass", MessageTypeEnum.QUOTATION.getValue()),
    APPROVE(3, "quotation.approve", MessageTypeEnum.BARGAIN.getValue()),
    APPROVE_PASS(4, "quotation.approve.pass", MessageTypeEnum.BARGAIN.getValue()),
    STAND_QUOTATION(5, "quotation.review.pass", MessageTypeEnum.QUOTATION_SUCCESS.getValue()),
    REVIEW_REJECT(6, "quotation.review.reject", MessageTypeEnum.QUOTATION.getValue()),
    APPROVE_REJECT(7, "quotation.approve.reject", MessageTypeEnum.BARGAIN.getValue()),
    SALE_REJECT(8, "quotation.sale.reject", MessageTypeEnum.QUOTATION.getValue()),
    ;


    private Integer code;

    private String msg;

    private String msgType;

}
